clang 8.0.0

Classes | Public Attributes | List of all members
clang::ast_matchers::MatchFinder::MatchFinderOptions Struct Reference

`#include "clang/ASTMatchers/ASTMatchFinder.h"`

Collaboration diagram for clang::ast_matchers::MatchFinder::MatchFinderOptions:
[legend]

## Classes
struct | Profiling

## Public Attributes
llvm::Optional< Profiling > | CheckProfiling
| Enables per-check timers. More...

## Detailed Description

Definition at line 123 of file ASTMatchFinder.h.

## Member Data Documentation

## ◆ CheckProfiling

llvm::Optional<Profiling> clang::ast_matchers::MatchFinder::MatchFinderOptions::CheckProfiling

Enables per-check timers.

It prints a report after match.

Definition at line 135 of file ASTMatchFinder.h.

The documentation for this struct was generated from the following file:

- include/clang/ASTMatchers/ASTMatchFinder.h